Package org.gradle.tooling.model

# Interface BuildableElement

All Superinterfaces:
  `Element`, `Model`

All Known Subinterfaces:
  `GradleProject`

public interface BuildableElement extends Element
Represents an element which has Gradle tasks associated with it.

Since:
  1.0-milestone-5

- ## Method Summary

  Modifier and Type
  Method
  Description
  `DomainObjectSet<? extends Task>`
  `getTasks()`
  Returns the tasks of this project.

  ### Methods inherited from interface org.gradle.tooling.model.Element

  `getDescription, getName`

- ## Method Details

  - ### getTasks

    DomainObjectSet<? extends Task> getTasks()
    Returns the tasks of this project.
    Returns:
      The tasks of this project.
    Since:
      1.0-milestone-5